Subject: Re: bug#19180: vacuum_weak_hash_table error

From: Linas Vepstas <[email-masked]>
Date: Sun, 7 Dec 2014 01:42:44 +0000 (UTC)

Ludovic Courtès <ludo <at> gnu.org> writes:
> 
> Could you apply with attached patch (with “patch -p1 < the-patch” run
> from the top of the source tree), and report the lines that are printed
> before the assertion failure?

Not to be stupid, but: I pulled the latest guile from git, went to
apply the patch, and discovered that hashtab.c has changed: there
is no scm_fixup_weak_alist in it any more, nor is there a
vacuum_weak_hash_table.  I suppose that its also not surprise that
after a few dozen runs, I don't get any errors, crashes.   So ..
yayy, guile-2.2!

Should I attempt to reproduce on guile-2.0?

--linas